# Copyright (c) 2018 Dave Love, University of Manchester
# Licence: MIT

%global verdate 20161208

Name:		aftermath-openmp
Version:	0
Release:	2.%verdate%{?dist}
Summary:	Modified OpenMP runtime for Aftermath
License:	BSD or MIT
URL:		https://www.aftermath-tracing.com/
# By git archive from git://git.drebesium.org/aftermath.git
Source0:	aftermath-openmp-%verdate.tar.gz
BuildRequires:	gcc-c++ cmake hwloc-devel aftermath-devel libffi-devel
BuildRequires:	perl perl-Data-Dumper perl-Encode elfutils-libelf-devel
BuildRequires:	gcc-gfortran papi-devel
ExclusiveArch:	%ix86 x86_64


%description
Clang's OpenMP runtime adapted for AFtermath.

%package devel
Summary:	Development files for %name
Requires:	%name%{?_isa} = %version-%release

%description devel
Development files for %name.

%prep
%setup -q


%build
%cmake . -DLIBOMP_USE_HWLOC=true -DLIBOMP_FORTRAN_MODULES=true \
%if 0%{?__isa_bits} == 64
   -DOPENMP_LIBDIR_SUFFIX=64
%else
   -DOPENMP_LIBDIR_SUFFIX=
%endif
mkdir -p runtime/exports/common/include # otherwise fails
%make_build


%install
%make_install
if [ ! %_lib = lib ]; then
  mkdir -p %buildroot%_libdir
  mv %buildroot%_prefix/lib/aftermath-openmp %buildroot%_libdir
fi

pushd %buildroot%_libdir/aftermath-openmp
cc %build_ldflags -shared -Wl,-soname=libgomp.so.1 -o libgomp.so.1 libomp.so.5
ln -sf libgomp.so.1 libgomp.so 
popd

%ldconfig_scriptlets


%files
%license LICENSE.txt
%_bindir/aftermath-openmp-trace
%_libdir/aftermath-openmp
%exclude %_libdir/aftermath-openmp/libgomp.so

%files devel
%_includedir/aftermath-openmp
%_libdir/aftermath-openmp/libgomp.so


%changelog
* Mon Nov 26 2018 Dave Love <loveshack@fedoraproject.org> - 0-2.20161208
- Use aftermath-devel

* Mon Nov  5 2018 Dave Love <loveshack@fedoraproject.org> - 0-1.20161208
- Initial packaging
